# Uses of Class
org.apache.felix.webconsole.bundleinfo.BundleInfo

Packages that use BundleInfo
Package
Description
org.apache.felix.webconsole.bundleinfo

## Uses of BundleInfo in org.apache.felix.webconsole.bundleinfo

Fields in org.apache.felix.webconsole.bundleinfo declared as BundleInfo
Modifier and Type
Field
Description
`static final BundleInfo[]`
BundleInfoProvider.`NO_INFO`
This is just an utility - empty array, that could be returned when there is no additional information for a specific bundle.
Methods in org.apache.felix.webconsole.bundleinfo that return BundleInfo
Modifier and Type
Method
Description
`BundleInfo[]`
BundleInfoProvider.`getBundleInfo(org.osgi.framework.Bundle bundle, String webConsoleRoot, Locale locale)`
Gets the associated bundle information with the specified bundle (by it's ID) The Service may also be called outside through the new Inventory bundle due to mapping the BundlesServlet to an InventoryPrinter and for example calling it from a Gogo Shell.